
Smart Proxy - Bug #5239

Can't find classes with Puppet 3.5.1 and future parser

04/18/2014 12:26 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Puppet   

Target version: 1.4.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using puppet 3.5.1:

# Running tests:

[ 45/178] ClassScannerEParserTest#test_should_extract_parameters__empty_param_parenthesis = 0.00 s

              

  1) Failure:

test_should_extract_parameters__empty_param_parenthesis(ClassScannerEParserTest) [/home/dcleal/cod

e/foreman/smart-proxy/test/class_scanner_eparser_test.rb:86]:

<1> expected but was

<0>.

[ 46/178] ClassScannerEParserTest#test_should_extract_parameters__no_param_parenthesis = 0.00 s   

        

  2) Failure:

test_should_extract_parameters__no_param_parenthesis(ClassScannerEParserTest) [/home/dcleal/code/f

oreman/smart-proxy/test/class_scanner_eparser_test.rb:73]:

<1> expected but was

<0>.

[ 47/178] ClassScannerEParserTest#test_should_extract_parameters__single_param_no_value = 0.00 s  

     

  3) Failure:

test_should_extract_parameters__single_param_no_value(ClassScannerEParserTest) [/home/dcleal/code/

foreman/smart-proxy/test/class_scanner_eparser_test.rb:99]:

<1> expected but was

<0>.

[ 48/178] ClassScannerEParserTest#test_should_extract_parameters__type_coverage = 0.00 s          

      

  4) Failure:

test_should_extract_parameters__type_coverage(ClassScannerEParserTest) [/home/dcleal/code/foreman/

smart-proxy/test/class_scanner_eparser_test.rb:125]:

<1> expected but was

<0>.

[ 49/178] ClassScannerEParserTest#test_should_find_class_in_a_manifest = 0.00 s                 

  5) Failure:

test_should_find_class_in_a_manifest(ClassScannerEParserTest) [/home/dcleal/code/foreman/smart-pro

xy/test/class_scanner_eparser_test.rb:14]:

<1> expected but was

<0>.

[ 50/178] ClassScannerEParserTest#test_should_find_multiple_class_in_a_manifest = 0.00 s

  6) Failure:

test_should_find_multiple_class_in_a_manifest(ClassScannerEParserTest) [/home/dcleal/code/foreman/
smart-proxy/test/class_scanner_eparser_test.rb:44]:

<2> expected but was

<0>.

[ 51/178] ClassScannerEParserTest#test_should_handle_import_in_a_manifest = 0.00 s              

  7) Failure:

test_should_handle_import_in_a_manifest(ClassScannerEParserTest) [/home/dcleal/code/foreman/smart-

proxy/test/class_scanner_eparser_test.rb:147]:

<2> expected but was

<0>.

[148/178] PuppetEnvironmentTest#test_uses_puppet_config = 0.00 s                                  

                                

  8) Failure:

test_uses_puppet_config(PuppetEnvironmentTest) [/home/dcleal/.rvm/gems/ruby-2.0.0-p247@proxy/gems/

puppet-3.5.1/lib/puppet/file_system/file_impl.rb:83]:

unexpected invocation: File.exist?(#<Pathname:0x5202588>)

unsatisfied expectations:

- expected exactly once, not yet invoked: #<Mock:config>.get(any_parameters)

- expected exactly once, not yet invoked: Proxy::Puppet::ConfigReader.new('/foo/puppet.conf')

satisfied expectations:

- expected at least once, invoked 4 times: Proxy::Puppet::Initializer.config(any_parameters)

- expected at least once, invoked once: File.exist?('/foo/puppet.conf')

Finished tests in 0.945191s, 188.3217 tests/s, 315.2801 assertions/s.                         

178 tests, 298 assertions, 8 failures, 0 errors, 0 skips

Associated revisions

Revision b7d1b2ba - 05/07/2014 12:13 PM - Dominic Cleal

fixes #5239 - update for Puppet 3.5 future parser changes

History

#1 - 04/24/2014 12:23 PM - Dominic Cleal

- Target version set to 1.8.3

#2 - 05/01/2014 08:35 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 05/01/2014 10:56 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/151

#4 - 05/08/2014 12:42 PM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17

#5 - 05/08/2014 12:52 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b7d1b2ba528b79b3ca47f2fc05b1f1c507ca6cb2.
